// koggtag (C)2001 Dario Abatianni <eisfuchs@tigress.com>
// This program is distributed under the GNU General Public Licence (GPL)

#include <kapp.h>
#include <kmainwindow.h>
#include <kcmdlineargs.h>

#include <qlayout.h>
#include <qpushbutton.h>

#include "koggtagmainwindow.h"

#include "../config.h"

int main(int argc, char **argv)
{
  QString aboutText("KDE2 Ogg Vorbis Tag Editor\n"
                    "(C)2001 by Dario Abatianni <eisfuchs@tigress.com>\n\n"
                    "This program is an editor for tags in Ogg Vorbis music files, similar to the\n"
                    "ID3 tags in mp3 files. It was written in C++ and uses the KDE2 libraries for\n"
                    "it's user interface.\n\n"
                    "It was written as an excercise in KDE2/QT/C++ programming, so it may contain\n"
                    "some fancy code or obvious bugs I just don't see. But I hope this program will\n"
                    "be useful for some people, anyway.");

  KCmdLineArgs::init(argc,argv,"koggtag",aboutText,VERSION);
  KApplication app;

  KOggTagMainWindow *mainWindow=new KOggTagMainWindow();
  mainWindow->show();

  return app.exec();
}
