// koggtag (C)2001 Dario Abatianni <eisfuchs@tigress.com>
// This program is distributed under the GNU General Public Licence (GPL)

#ifndef OGGFILE_H
#define OGGFILE_H

#include <qstring.h>
#include <qlist.h>

#include "tag.h"

class OggFile
{
  public:
    OggFile();
    ~OggFile();

    void load();
    void load(const char *openname);
    void write(QString *new_file_name=0);
    void unload();

    QString *getFilename();
    void setFilename(const char *newname);

    QList<Tag> *tags;

    bool isOpen();

  private:
    QString *filename;

    void setOpen(bool open);

    bool is_open;
};

#endif
